timeouts:
  job:
    minutes: 100
  connection:
    minutes: 2
context:
  arch: arm64
device_type: nxp-ls2088
job_name: linux-mainline-oe--ltp-quickhit-mainline-822
priority: high
visibility: public
metadata:
  git branch: mainline
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
  git commit: v5.5-rc1-12-g6794862a16ef
  git describe: v5.5-rc1-12-g6794862a16ef
  make_kernelversion: 5.4-rc8
  kernel-config: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/kernel.config
  kernel-defconfig: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/822/defconfig
  build-url: http://ci.staging.lkft.org/job/kernel-arch-complete/822/
  build-location: http://storage.staging.lkft.org//mainline/master/v5.5-rc1-12-g6794862a16ef
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-quickhit-tests__url: unknown
  ltp-quickhit-tests__version: unknown
  ltp-quickhit-tests__revision: unknown
actions:
- deploy:
    namespace: target
    timeout:
      minutes: 40
    to: tftp
    kernel:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/Image
      type: image
    dtb:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/dtbs/freescale/fsl-ls2088a-rdb.dtb
    modules:
      url: http://storage.staging.lkft.org/mainline/master/v5.5-rc1-12-g6794862a16ef/arm64/defconfig%2Blkft/gcc-8/modules.tar.xz
    nfsrootfs:
      url: http://people.linaro.org/~daniel.diaz/lkft-nxp/images/rpb-console-image-lkft-ls2088ardb-20191019001216.rootfs.tar.xz
    os: debian
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: root
      password_prompt: ''
      password: ''
    prompts:
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: u-boot
    commands: nfs
- test:
    namespace: target
    timeout:
      minutes: 45
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: quickhit
        SKIPFILE: skipfile-lkft.yaml
        BOARD: nxp-ls2088
        BRANCH: mainline
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-quickhit-tests
